Name: mbrowse
Version: 0.3.1
Release: alt3.1

Summary: SNMP MIB browser
License: GPL
Group: Networking/Other

URL: http://goldplated.atlcartel.com/mbrowse.html
Source0: http://goldplated.atlcartel.com/%name-%version.tar.bz2
Source1: %name.xpm

Patch0: %name-0.3.1-alt-snmpdetect.patch

# Automatically added by buildreq on Tue Nov 25 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libelf-devel libnet-snmp-devel libssl-devel net-snmp-utils

%description
Mbrowse is an SNMP MIB browser based on GTK and net-snmp.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%make_build install DESTDIR=%buildroot

%__mkdir_p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name): command="%_bindir/%name" needs="X11" section="Networking/Other" title="%name" longtitle="SNMP MIB browser." icon="%name.xpm"
EOF

%__mkdir_p %buildroot/%_iconsdir
%__install -m644 %SOURCE1 %buildroot/%_iconsdir


%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%_bindir/%name
%_menudir/%name
%_iconsdir/%name.xpm

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.1-alt3.1
- Rebuilt with openssl-0.9.7d.

* Fri Apr 30 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 0.3.1-alt3
- fix detection Net-SNMP version during configure stage

* Fri Oct 31 2003 Konstantin Timoshenko <kt@altlinux.ru> 0.3.1-alt2
- rebuild with net-snmp

* Wed Mar 26 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.3.1-alt1
- new version -- 0.3.1 

* Sat Jan 25 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.2.3-alt2
- rebuild with gcc3.2
- compile warnings cleanup
- menu icon added

* Mon Jul 15 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.2.3-alt1
- Initial spec file
